MAXEYE DRM Generation Toolkit Help

The MAXEYE DRM Generation toolkit contains VIs that can be used for generating signals with National Instruments hardware or generate signals in simulation mode as per the DRM Standards ETSI ES 201 980.This document has information about the toolkit Labview API VIs to help engineers for programming.

____________________________________________________________________________________________________

For more information regarding this help please contact info@maxeyetech.com


MaxEye DRM RFSG Create and Download Waveform.vi

instrument handle passes a reference from the NI-RFSG instrument session to the next VI. This parameter is obtained from the niRFSG Initialize VI and identifies a particular instrument session.

DRM Generation Handle

DRM Generation Handle

Waveform name specifies the name used to store the waveform. This string is case-insensitive and alphanumeric, and it does not use reserved words.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

instrument handle out passes a reference from the instrument session to the next VI.

Complex Waveform

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

MAXEYE TECHNOLOGIES Private Limited
Digital Video Toolkits - DRM Generation

For more details on this help, please write to us at
info@maxeyetech.com


MaxEye DRM SG Create and Save Waveform.vi

This VI performs the following.

i. Checks the configuration parameters in the DRM signal generation handle and returns an erroer if the configuration is not valid.
ii. Computes the waveform size and returns it to the user.
iii. Creates the DRM waveform as per the configured parameters.
iv. Writes the created waveform in the file as per the waveform file path location configured by the user.

DRM Generation Handle

DRM Generation Handle

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Complex Waveform

Waveform Size

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Read Waveform from File.vi

refnum in can be a refnum or absolute file path. If it is a path, this function opens the file specified by the path. The default is to display a file dialog box and prompt you to select a file.

count (1) specifies the number of data elements to read. Data elements can be bytes or instances of data type. The function returns count data elements in data, or if it reaches the end of the file, it returns all the complete data elements read thus far and an end-of-file error. By default, the function returns a single data element. If count is –1, the function reads the entire file. If count is less than –1, the function returns an error.

Sample Width specifies the Sample Width of the generated waveform. If the Sample Width property is set to 0(8-bit) the toolkit uses 8 bits for quantizing I and Q sample and if it is set to 1(16-bit) the toolkit uses 16 bits for quantizing the I and Q samples.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

refnum out is the refnum of the file that the function read. You can wire this output to another file function, depending on what you want to do with the file. The default is to close the file if it is referenced by a file path or selected from the file dialog box. If file is a refnum or if you wire refnum out to another function, LabVIEW assumes that the file is still in use until you close it.

Waveform contains the data read from the file in the specified data type. It can consist of a string, an array, a cluster of arrays, or a cluster array, depending on which data type you are reading and how count is set.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Open Handle.vi

This VI creates DRM Generation Handle with the default values and passes the handle to the later VIs.

Name Of Queue

Number of carriers

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DRM Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Set Robustness Mode.vi

This VI configures the Robustness Mode property for the DRM signal generation handle.

The valid values are

0 - Mode A
1 - Mode B
2 - Mode C
3 - Mode D
4 - Mode E

The default value is Mode A.

DRM Generation Handle

DRM Generation Handle

Robustness Mode

Carrier Index Specifies the Carrier Index. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Set Spectrum Occupancy.vi

This VI configures the Spectrum Occupancy property for the DRM signal generation handle.

The valid values are

0 - 4.5 kHz
1 - 5 kHz
2 - 9 kHz
3 - 10 kHz
4 - 18 kHz
5 - 20 kHz

The default value is 20 kHz.

DRM Generation Handle

DRM Generation Handle

Spectrum Occupancy

Carrier Index Specifies the Carrier Index. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Set Error Protection Type.vi

This VI configures the Error Protection Type property for DRM encoder in the DRM signal generation handle.

The valid values are

0 - Equal Error Protection
1 - Unequal Error Protection

The default value is Equal Error Protection.

DRM Generation Handle

DRM Generation Handle

Error Protection Type

Carrier Index Specifies the Carrier Index. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Set Impairments Configuration.vi

This VI configures the Impairment properties for the DRM signal generation handle. The help for the each of the payload property can be found in the property specific API VIs. This API is used for configuring the multiple API properties using the payload cluster.

MaxEye Technologies recommends to use property specific API VIs to avoid incompatibility issues with the Future release of this software.

DRM Generation Handle

DRM Generation Handle

Impairments

Carrier Index Specifies the Carrier Index. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Set Interleaver Depth.vi

This VI configures the Interleaver settings for MSC cell Interleaver in the DRM signal generation handle.

The valid values are

0 - Long Interleaver ( 2 sec)
1 - Short Interleaver (400 ms)

The default value is Short Interleaver (400 ms).

DRM Generation Handle

DRM Generation Handle

Interleaver Depth

Carrier Index Specifies the Carrier Index. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Set Number of Services.vi

This VI configures the Number of Services property for the DRM signal generation handle. DRM can support maximum 4 services.

The default value is 1.

DRM Generation Handle

DRM Generation Handle

Number of Services

Carrier Index Specifies the Carrier Index. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Set Number of Transmission Super Frames.vi

This VI configures the total number of Transmission Super Frames property in the DRM signal generation toolkit. The toolkit uses the same frame configuration for all the frames and the payload is continuous across frames.

The default value is 50.

DRM Generation Handle

DRM Generation Handle

Number of Transmission Super Frames

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Set Base-Enhancement Layer Flag.vi

This VI configures the Base/Enhancement Flag property for the DRM signal generation handle. The flag indicates whether the transmission is the base layer or the enhancement layer.

The valid values are

0 - Base Layer - decodable by all DRM receivers.
1 - Enhancement Layer - only decodable by receivers with enhancement layer capabilities.

The default value is Base Layer.

DRM Generation Handle

DRM Generation Handle

Base/Enhancement Flag

Carrier Index Specifies the Carrier Index. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Set MSC Modulation Scheme.vi

This VI configures the Modulation Scheme property for MSC in the DRM signal generation handle.

The valid values are

0 - 64 QAM
1 - 16 QAM
2 - 4 QAM

The default value is 64 QAM.

DRM Generation Handle

DRM Generation Handle

Modulation Scheme

Carrier Index Specifies the Carrier Index. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Set MSC Mapping Scheme.vi

This VI configures the Mapping Scheme property for MSC in the DRM signal generation handle.

The valid values are

0 - Standard Mapping (SM)
1- Symmetrical Hierarchical Mapping (HMsym)
2- Mixed Hierarchical Mapping (HMmix)

The default value is Standard Mapping (SM).

DRM Generation Handle

DRM Generation Handle

Mapping Scheme

Carrier Index Specifies the Carrier Index. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Set MSC HPP Protection Level.vi

Configures the Protection Level for Higher Protected Part (HPP) of the MSC in the DRM signal generation handle.

The valid values are

0 - Protection Level 0
1 - Protection Level 1
2 - Protection Level 2
3 - Protection Level 3

The default value is 0.

Note:- If the Error Protection Type chosen is Equal Error Protection, then this property needs to be set to 0.

DRM Generation Handle

DRM Generation Handle

HPP Protection Level

Carrier Index Specifies the Carrier Index. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Set MSC LPP Protection Level.vi

This VI configures the Protection Level for Lower Protected Part (LPP) of the MSC in the DRM signal generation handle.

The valid values are

0 - Protection Level 0
1 - Protection Level 1
2 - Protection Level 2
3 - Protection Level 3

The default value is 3.

DRM Generation Handle

DRM Generation Handle

LPP Protection Level

Carrier Index Specifies the Carrier Index. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Set MSC VSPP Protection Level.vi

This VI configures the Protection Level for Very Strongly Protected Part (VSPP) of the MSC in the DRM signal generation handle.

The valid values are

0 - Protection Level 0
1 - Protection Level 1
2 - Protection Level 2
3 - Protection Level 3

The default value is 0.

DRM Generation Handle

DRM Generation Handle

VSPP Protection Level

Carrier Index Specifies the Carrier Index. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Set SDC Modulation Scheme.vi

This VI configures the Modulation Scheme property for SDC in the DRM signal generation handle.

The valid values are

1 - 16 QAM
2 - 4 QAM

The default value is 16 QAM.

DRM Generation Handle

DRM Generation Handle

Modulation Scheme

Carrier Index Specifies the Carrier Index. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Set SDC Protection Level.vi

This VI configures the Protection Level SDC in the DRM signal generation handle.

The valid values are

0 - Protection Level 0
1 - Protection Level 1

The default value is 0.

DRM Generation Handle

DRM Generation Handle

Protection Level

Carrier Index Specifies the Carrier Index. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Set Service Configuration.vi

This VI configures the Service Configuration property for the DRM signal generation handle. The help for the each of the Service specific properties can be found in the property specific API VIs. This API is used for configuring the multiple properties using the Service Configuration cluster for ease of use.

MaxEye Technologies Recommends to use property specific API VIs to avoid comaptibilityissues with the Future release of this software.

DRM Generation Handle

DRM Generation Handle

DRM Service Configuration

Carrier Index Specifies the Carrier Index. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM Combine Waveforms Multiple Carriers.vi

Carrier Configuration Specifies the Carrier Frequency, Bandwidth, Waveform File Path and Sample Width of the individual waveforms which are to be combined.

Output Sample Width Specifies the Sample Width. If the Sample Width property is set to 0(8-bit) the toolkit uses 8 bits for quantizing I and Q sample and if it is set to 1(16-bit) the toolkit uses 16 bits for quantizing the I and Q samples.

Maximum Real-Time Bandwidth (Hz) Specifies the Maximum Real-Time Bandwidth (Hz) of the combined waveform. This value should be less than the maximum bandwidth supported by the hardware.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Output Waveform File Path (Multiple Carriers) Specifies the Output Waveform File Path. The combined waveform is stored in the file mentioned here.

Center Frequency Indicates the center frequency of the combined waveform.

Output Waveform Sampling Rate Indicates the sampling rate of the combined waveform.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Set Sample Width.vi

This VI configures the Sample Width property in the DRM signal generation handle. The toolkit uses this value only when MaxEye DRM SG Create and Save Waveform API VI is used for storing the generated waveform in the file.

DRM Generation Handle

DRM Generation Handle

Sample Width

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Set Oversampling Enabled.vi

This VI configures the Oversampling Enabled property in DRM signal generation handle.

DRM Generation Handle

DRM Generation Handle

Oversampling Enabled?

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Set Output Sampling Rate.vi

This VI configures the Ouput Sampling Rate (Hz) property of the DRM signal generation handle.
The toolkit resamples the generated signal to a sampling rate equal to the Output Sampling Rate only if the Over Sampling Enabled property is set to 1 (True). If this value is zero then toolkit generates the signal at a default sampling rate which is in turn dependent on the Bandwidth.

DRM Generation Handle

DRM Generation Handle

Output Sampling Rate

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Set Progress Bar Control Refnum.vi

This VI configures the control refnum in the DRM signal generation handle for progress status bar update in the user front panel. Use this API VI to monitor the progress of the waveform generation. you need to create progress bar control in the labview frontpanel and then pass the control refnum as an input to this VI.

DRM Generation Handle

DRM Generation Handle

Progress Bar Control Refnum

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Set Waveform File Path.vi

This VI configures the file location for the WaveForm File Path property in DRM signal generation handle. The toolkit saves the generated waveform in the file when MaxEye DRM Create and Save Waveform API is used for waveform creation.

If the Output Waveform File Path for the combined waveform containing multiple carriers is not specified then a file dialog box opens prompting the user to enter the file name.

DRM Generation Handle

DRM Generation Handle

Waveform File Path

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Set Close Handle.vi

This VI closes the DRM signal generation handle and resources associated with it.

DRM Generation Handle

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM VST Create Waveform (Real Time).vi

This VI performs the following.

i. Checks the configuration parameters in the DRM signal generation handle and returns an erroer if the configuration is not valid.
ii. Computes the waveform size and returns it to the user.
iii. Creates the DRM waveform as per the configured parameters.
iv. Writes the created waveform in the file as per the waveform file path location configured by the user.

DRM Generation Handle

DRM Generation Handle

output stream session in

Start Trigger

Stop Generation

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Complex Waveform

Waveform Size

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM VSG Create Waveform (Real Time).vi

This VI performs the following.

i. Checks the configuration parameters in the DRM signal generation handle and returns an erroer if the configuration is not valid.
ii. Computes the waveform size and returns it to the user.
iii. Creates the DRM waveform as per the configured parameters.
iv. Writes the created waveform in the file as per the waveform file path location configured by the user.

DRM Generation Handle

DRM Generation Handle

Generation Queue(Real time) In

Instrument handle In

Stop Generation

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Complex Waveform

Instrument handle In

Waveform Size

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM USRP Create Waveform (Real Time).vi

This VI performs the following.

i. Checks the configuration parameters in the DRM signal generation handle and returns an erroer if the configuration is not valid.
ii. Computes the waveform size and returns it to the user.
iii. Creates the DRM waveform as per the configured parameters.
iv. Writes the created waveform in the file as per the waveform file path location configured by the user.

DRM Generation Handle

DRM Generation Handle

Generation Queue(Real time) In

USRP IP Address In

Stop Generation

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Complex Waveform

Waveform Size

USRP IP Address Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Set Power Level.vi

This VI configures the Powerlevel in DRM signal generation handle.

DRM Generation Handle

Power level

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DRM Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Set Number of Carriers.vi

Configures the total number of carriers in the DAB generation handle for the selected carrier index.

DRM Generation Handle

Number of Carriers

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DRM Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Set Maximum Real Time Bandwidth.vi

Configures the maximmum real time bandwidth in the DRM generation handle .

DRM Generation Handle

Maximun real time bandwidth

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DRM Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Set Carrier Configuration.vi

Configures carrier properties in the DRM Signal Generation handle for the selected carrier index.

DRM Generation Handle

Carrier Configuration

Carrier Index Specifies the Carrier Index. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DRM Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG ReInit DRM Configuration.vi

Number of Carriers

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DRM Signal Parameters

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Get Center Frequency.vi

This vi Returns the center frequency value from the DRM generaetion handle.

DRM Generation Handle

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DRM Generation Handle

Center Frequency

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Get Output Waveform Sampling Rate.vi

Returns the generated waveform sampling rate.

DRM Generation Handle

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DRM Generation Handle

Output Waveform Sampling Rate

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRM SG Get Number of Carriers Actual.vi

Returns the actual number of carriers used for the generation.

DAB Generation Handle in

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

Number of Carriers( Actual)

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DRm SG Get PAPR.vi

Returns PAPR value.

DRM Generation Handle

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DRM Generation Handle

PAPR Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye_DRM_SG_Remote_TCP_Open_Connection.vi

This VI opens TCP network connection between DRM SFP client and server applications.

IP Address

Port Number

Timeout (ms)

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_DRM_SG_Remote_TCP_Close_Connection.vi

This VI Closes TCP Network Connection between DRM SFP Client and Server Application .

connection ID

error code (in) error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

error code out


MaxEye_DRM_SG_Remote_Set_Waveform_Settings.vi

This VI Configures the DRM Waveform Settings for each carrier based on carrier index value to Remote SFP Application through TCP Network Connection.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.

Connection ID In

Carrier Index

DRM Configuration

Service Configuration Size

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID out

Error Code Out


MaxEye_DRM_SG_Remote_Set_USRP_Play_Waveform_Settings.vi

This VI configures the USRP Play Waveform from File Settings to the DRM Remote SFP Application thorugh TCP Network Connection.

Connection ID In

Write Block Size (Samples)

Sample Width

Waveform File Path

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_DRM_SG_Remote_Set_USRP_Hardware_Settings.vi

This VI configures the USRP Hardware Settings to the DRM Remote SFP Application thorugh TCP Network Connection.

Connection ID In

USRP IP Address

Gain (dB) gain specifies the aggregate gain, in dB, applied to the RF signal.

USRP Carrier Frequency (Hz) gain specifies the aggregate gain, in dB, applied to the RF signal.

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Active Antenna active antenna specifies the antenna port to use for this channel.

Connection ID Out

Error Code Out


MaxEye_DRM_SG_Remote_Set_Streaming_Waveform_Size.vi

This VI configures the streaming waveform size to the DRM Remote SFP Application through TCP Network Connection.

Connection ID In

Streaming Waveform Size

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_DRM_SG_Remote_Set_Service_Configuration.vi

This VI Configures the Service parameters based on carrier index & Service index value to the DRM Remote SFP Application through TCP Network Connection.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.

Connection ID In

Carrier Index

Service Index

Service Configuration

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_DRM_SG_Remote_Set_Play_Waveform_Settings.vi

This VI configures the DRM Play Waveform From File Settings to the DRM Remote SFP Application thorugh TCP Network Connection.

Connection ID In

Write Block Size

Center Frequency Level specifies in the carrier signal level in dBf. To convert to dBm, subtract 120 dB from this measurement. To convert to dBuV, subtract 13 dB.

Sample Width

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Waveform File Path

Connection ID Out

Error Code Out


MaxEye_DRM_SG_Remote_Set_Output_Waveform_Settings.vi

This VI configures the DRM Output Waveform Settings to the Remote SFP Application through TCP Network Connection.

Connection ID In

Oversampling Enabled

Output Sampling Rate

Sample Width

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Headroom (dB)

Connection ID Out

Error Code Out


MaxEye_DRM_SG_Remote_Set_Output_Waveform_File_Path.vi

This VI configures the Generate and Save Waveform File Path to the Remote SFP Application through TCP Network Connection.

Connection ID In

Waveform File Path

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_DRM_SG_Remote_Set_Number_of_Super_Frames.vi

This VI configures the total number of Super frames to the DRM Remote SFP Application through TCP Network Connection.

The default value is 1.

Connection ID In

Number of Super Frames

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_DRM_SG_Remote_Set_Number_of_Carriers.vi

This VI configures the Number of Carriers to the DRM Remote SFP Application through TCP Network Connection.

The default value is 1.

Connection ID In

Number of Carriers

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_DRM_SG_Remote_Set_Impairments.vi

This VI Configures the Impairment properties for the each carrier based on carrier index value to the DRM Remote SFP Application through TCP Network Connection.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.

Connection ID In

Carrier Index

Impairment

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_DRM_SG_Remote_Set_ImageFilePath.vi

This VI Configures the DRM Image File Path for the each carrier based on carrier index value to the DRM Remote SFP Application through TCP Network Connection.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.

Connection ID In

Carrier Index

Service Index

Image Path Index

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Image FilePath

Connection ID Out

Error Code Out


MaxEye_DRM_SG_Remote_Set_Hardware_Settings.vi

This VI configures the VSG/VST Hardware Settings to the DRM Remote SFP Application through TCP Network Connection.

Connection ID In

Hardware settings

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_DRM_SG_Remote_Set_Hardware_Options.vi

This VI configures the Hardware Type to the Client DRM SFP Application thorugh TCP Network Connection.

The default value is 0.
0 - VSG/VST(5644R,5645R,5646R,5840)
1 - USRP

Connection ID In

Hardware Type

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_DRM_SG_Remote_Set_Generation_Mode.vi

This VI configures the Generation Mode to the DRM Remote SFP Application through TCP Network Connection.

The default value is 2.
0 - Generate and Play Waveform(Real Time)
1 - Generate and Play Waveform
2 - Generate and Save Waveform
3- Play Waveform From File

Connection ID In

Generation Mode

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_DRM_SG_Remote_Set_Carrier_Configuration.vi

This VI Configures the Carrier Frequency and Signal Bandwidth for the each carrier based on carrier index value to the DRM Remote SFP Application through TCP Network Connection.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.

Signal Bandwidth Default Value is 2MHz

Connection ID In

Carrier Index

Carrier frequency (Hz) The center frequency of the signal analyzer.

Signal Bandwidth (Hz)

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_DRM_SG_Remote_Set_AudioPayload_Configuration.vi

This VI Configures the Audio Payload properties for the services based on carrier index & service index value to the DRM Remote SFP Application through TCP Network Connection.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.

Connection ID In

Carrier Index

Service Index

Digital Audio Payload Control

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Number of Images

Connection ID Out

Error Code Out


MaxEye_DRM_SG_Remote_Get_Error_Status.vi

This VI Receives error message from the Remote SFP Application through TCP Network Connection.

Connection ID In

error code (in) error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Status

Generation Status

Generating Frames

error code


MaxEye_DRM_SG_Remote_Generation_Control.vi

This VI configures the Generation Mode Type to the DRM Remote SFP Application thorugh TCP Network Connection.

The default value is 0.
0 - Start Generation
1 - Stop Generation

Connection ID In

Command Type

error code (in) error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

error code